'use strict';

var fs = require('fs');
var compiler = require('vue-template-compiler');
var flatten = require('lodash.flatten');

module.exports = function (src) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var precinct = require('../../precinct');
  options.useContent = true;
  options.es6 = { mixedImports: true };

  var _compiler$parseCompon = compiler.parseComponent(src, { pad: 'line' }),
      script = _compiler$parseCompon.script,
      styles = _compiler$parseCompon.styles;

  var scriptDependencies = script ? precinct(script.content, options).map(function (dep) {
    return { isScript: true, dep };
  }) : [];
  var styleDependencies = script ? flatten(styles.map(function (style) {
    return precinct(style.content, { type: style.lang || 'scss' }).map(function (dep) {
      return { isScript: false, dep };
    });
  })) : [];
  return scriptDependencies.concat(styleDependencies);
};
//# sourceMappingURL=index.js.map